Hooks:PostHook( WeaponFactoryTweakData, "init", "barrelextreb", function(self)

--rifles and smgs

self.parts.wpn_fps_upg_ns_ass_smg_small.stats = {damage = -4, suppression = 20, alert_size = 20} --low profile supressor
self.parts.wpn_fps_upg_ns_ass_smg_medium.stats = {damage = -2, spread = 1, recoil = 1, concealment = -2, suppression = 20, alert_size = 20} --medium suppressor

self.parts.wpn_fps_upg_ns_ass_pbs1.stats = {damage = -2, spread = 2, recoil = 2, concealment = -4, suppression = 20, alert_size = 20} --PBS suppressor
self.parts.wpn_fps_smg_cobray_ns_silencer.stats = {damage = -2, spread = 1, recoil = 2, concealment = -2, suppression = 20, alert_size = 20} --werbell's suppressor
self.parts.wpn_fps_smg_sr2_ns_silencer.stats = {damage = -1, spread = 2, recoil = 1, concealment = -3, suppression = 20, alert_size = 20} --the one from the heather
self.parts.wpn_fps_smg_scorpion_b_suppressed.stats = {damage = -2, spread = 2, recoil = 1, concealment = -2, suppression = 20, alert_size = 20} --scorpion's suppressor
self.parts.wpn_fps_smg_baka_b_longsupp.stats = {damage = -1, spread = 4, recoil = 2, concealment = -5, suppression = 20, alert_size = 20} --futomaki (the massive one)
self.parts.wpn_fps_smg_baka_b_midsupp.stats = {damage = -2, spread = 1, recoil = 1, concealment = -2, suppression = 20, alert_size = 20} --maki (the fat one)
self.parts.wpn_fps_smg_baka_b_smallsupp.stats = {damage = -4, suppression = 20, alert_size = 20} --spring (the short one)
self.parts.wpn_fps_smg_schakal_ns_silencer.stats = {damage = -1, spread = 2, recoil = 2, concealment = -2, suppression = 20, alert_size = 20} --silentgear
self.parts.wpn_fps_smg_polymer_ns_silencer.stats = {damage = -1, spread = 2, recoil = 2, concealment = -3, suppression = 20, alert_size = 20} --HPS suppressor
self.parts.wpn_fps_smg_uzi_b_suppressed.stats = {damage = -1, spread = 2, concealment = -3, suppression = 20, alert_size = 20} --the uzi suppressor
self.parts.wpn_fps_smg_mp9_b_suppressed.stats = {damage = -1, spread = 2, recoil = 2, concealment = -3, suppression = 20, alert_size = 20} --the mp9 suppressor

self.parts.wpn_fps_smg_mp5_fg_mp5sd.stats = {damage = -1, spread = 3, recoil = 2, concealment = -4, suppression = 20, alert_size = 20} --mp5sd barrel
self.parts.wpn_fps_smg_mp5_fg_mp5sd.custom_stats = {rof_mult = 0.93333333333} --700
self.parts.wpn_fps_smg_mp5_fg_mp5sd.forbids = {"wpn_fps_upg_ns_ass_smg_large", "wpn_fps_upg_ns_ass_smg_medium", "wpn_fps_upg_ns_ass_smg_small", "wpn_fps_upg_ns_ass_smg_firepig", "wpn_fps_upg_ns_ass_smg_stubby", "wpn_fps_upg_ns_ass_smg_tank", "wpn_fps_upg_ass_ns_jprifles", "wpn_fps_upg_ass_ns_linear", "wpn_fps_upg_ass_ns_surefire", "wpn_fps_upg_ass_ns_battle", "wpn_fps_upg_ns_ass_smg_v6"}

self.parts.wpn_fps_upg_ns_ass_smg_stubby.stats = {damage = 1, recoil = 2, suppression = -2} --stubby comp
self.parts.wpn_fps_upg_ns_ass_smg_tank.stats = {damage = 2, spread = 2, recoil = 2, concealment = -2, suppression = -4} --tank comp
self.parts.wpn_fps_upg_ns_ass_smg_firepig.stats = {damage = 4, spread = -1, recoil = 1, concealment = -2, suppression = 6} --fire breather
self.parts.wpn_fps_upg_ass_ns_surefire.stats = {damage = 2, spread = 3, recoil = 1, concealment = -3} --tactical comp
self.parts.wpn_fps_upg_ass_ns_jprifles.stats = {damage = 2, spread = 1, recoil = 3, concealment = -3} --competitor's comp
self.parts.wpn_fps_upg_ass_ns_linear.stats = {damage = 4, spread = 1, recoil = -1, concealment = -2, suppression = -6} --funnel of fun
self.parts.wpn_fps_upg_ass_ns_battle.stats = {damage = 1, spread = 2, suppression = -2} --ported

self.parts.wpn_fps_ass_tecci_ns_special.stats = {damage = 3, spread = 2, recoil = 2, concealment = -3, suppression = -5} --bootstrap comp
self.parts.wpn_fps_smg_cobray_ns_barrelextension.stats = {damage = 3, spread = 3, recoil = 2, concealment = -3, suppression = -3} --slotted barrel ext
self.parts.wpn_fps_smg_polymer_barrel_precision.stats = {damage = 2, spread = 3, recoil = 2, concealment = -3, suppression = -1} --precision barrel for the vector

--pistols

self.parts.wpn_fps_upg_ns_pis_medium_gem.stats = {damage = -2, spread = 2, recoil = 1, concealment = -1, suppression = 20, alert_size = 20} --roctec suppressor
self.parts.wpn_fps_upg_ns_pis_medium.stats = {damage = -2, spread = 1, recoil = 2, concealment = -1, suppression = 20, alert_size = 20} --standard issue suppressor
self.parts.wpn_fps_upg_ns_pis_medium_slim.stats = {damage = -2, spread = 2, recoil = 2, concealment = -2, suppression = 20, alert_size = 20} --asepsis suppressor
self.parts.wpn_fps_upg_ns_pis_small.stats = {damage = -4, spread = -1, recoil = 1, suppression = 20, alert_size = 20} --size doesn't matter suppressor
self.parts.wpn_fps_upg_ns_pis_large.stats = {damage = -1, recoil = 3, concealment = -2, suppression = 20, alert_size = 20} --monolith suppressor
self.parts.wpn_fps_upg_ns_pis_large_kac.stats = {damage = -1, spread = 3, concealment = -2, suppression = 20, alert_size = 20} --champion's suppressor
self.parts.wpn_fps_upg_ns_ass_filter.stats = {damage = -4, spread = -2, recoil = 3, concealment = -3, suppression = 20, alert_size = 20} --oil can
self.parts.wpn_fps_upg_ns_pis_jungle.stats = {damage = -2, spread = 3, recoil = 3, concealment = -3, suppression = 20, alert_size = 20} --jungle ninja suppressor

self.parts.wpn_fps_upg_ns_pis_ipsccomp.stats = {damage = 2, spread = 3, recoil = -1, concealment = -1, suppression = -2} --ipsc comp
self.parts.wpn_fps_upg_ns_pis_meatgrinder.stats = {damage = 4, recoil = 2, concealment = -2, suppression = -4} --facepunch comp
self.parts.wpn_fps_upg_pis_ns_flash.stats = {damage = 2, spread = -1, recoil = 3, concealment = -1, suppression = -2} --flash hider
self.parts.wpn_fps_upg_ns_pis_typhoon.stats = {damage = 4, spread = 2, concealment = -2, suppression = -4} --hurricane

self.parts.wpn_fps_pis_1911_co_2.stats = {damage = 2, spread = 1, recoil = 2, concealment = -1, suppression = -3} --agressor for 1911
self.parts.wpn_fps_pis_1911_co_1.stats = {damage = 4, spread = -1, recoil = 3, concealment = -1, suppression = -3} --punisher for 1911
self.parts.wpn_fps_pis_beretta_co_co2.stats = {damage = 3, spread = 3, recoil = 2, concealment = -3, suppression = -1} --the long one for the m9
self.parts.wpn_fps_pis_beretta_co_co1.stats = {damage = 2, spread = 1, recoil = 1, concealment = -1, suppression = -1} --the shorter one for the m9

self.parts.wpn_fps_pis_sparrow_b_comp.stats = {damage = 2, spread = 3, recoil = 1, concealment = -1, suppression = -1} --ported barrel for the 941
self.parts.wpn_fps_pis_sparrow_b_comp.forbids = {"wpn_fps_upg_ns_pis_large", "wpn_fps_upg_ns_pis_medium", "wpn_fps_upg_ns_pis_small", "wpn_fps_upg_ns_pis_large_kac", "wpn_fps_upg_ns_pis_medium_gem", "wpn_fps_upg_ns_pis_medium_slim", "wpn_fps_upg_pis_ns_flash", "wpn_fps_upg_ns_pis_meatgrinder", "wpn_fps_upg_ns_pis_ipsccomp", "wpn_fps_upg_ns_ass_filter", "wpn_fps_upg_ns_pis_jungle", "wpn_fps_upg_ns_pis_typhoon"}

self.parts.wpn_fps_pis_packrat_ns_wick.stats = {damage = 1, spread = 2, recoil = 1, concealment = -1, suppression = -2,} --contractor

self.parts.wpn_fps_pis_g18c_co_1.stats = {damage = 1, spread = 2, concealment = -1, suppression = -2} --glock ventilated
self.parts.wpn_fps_pis_g18c_co_comp_2.stats = {damage = 1, recoil = 2, concealment = -2, suppression = -2} --glock velocity
self.parts.wpn_fps_pis_p226_co_comp_1.stats = {damage = 1, spread = 2, concealment = -1, suppression = -2} --signature ventilated
self.parts.wpn_fps_pis_p226_co_comp_2.stats = {damage = 1, recoil = 2, concealment = -2, suppression = -2} --signature velocity
self.parts.wpn_fps_pis_usp_co_comp_1.stats = {damage = 1, spread = 2, concealment = -1, suppression = -2} --usp ventilated
self.parts.wpn_fps_pis_usp_co_comp_2.stats = {damage = 1, recoil = 2, concealment = -2, suppression = -2} --usp velocity

--update

--deagle compensators
self.parts.wpn_fps_pis_deagle_co_short.stats = {damage = 2, spread = 1, recoil = 1, concealment = -1}
self.parts.wpn_fps_pis_deagle_co_long.stats = {damage = 3, spread = 2, recoil = 2, concealment = -3}

self.parts.wpn_fps_upg_ns_ass_smg_v6.stats = {damage = 3, spread = 1, recoil = 1, concealment = -3, suppression = -5} --marmon compensator

self.parts.wpn_fps_upg_ns_pis_putnik.stats = {damage = -2, spread = 2, recoil = 2, concealment = -2, suppression = 20, alert_size = 20} --medved suppressor

self.parts.wpn_fps_lmg_hk51b_ns_jcomp.stats = {damage = 1, spread = 1, recoil = 1, suppression = -2} --verdunkeln muzzle brake

self.parts.wpn_fps_ass_shak12_ns_muzzle.stats = {damage = 2, spread = 2, recoil = 2, concealment = -3, suppression = -3} --KS-12A burst muzzle

self.parts.wpn_fps_ass_shak12_ns_suppressor.stats = {spread = 5, recoil = 3, concealment = -8, suppression = 20, alert_size = 20} --KS-12S long silencer

self.parts.wpn_fps_ass_groza_b_supressor.stats = {damage = -1, spread = 1, concealment = 1, suppression = 20, alert_size = 20} --K-B100 suppressor

self.parts.wpn_fps_smg_vityaz_b_supressed.stats = {damage = -2, recoil = 2, concealment = -1, suppression = 20, alert_size = 20} --BY90 wide suppressor

self.parts.wpn_fps_pis_maxim9_b_marksman.stats = {damage = 5, spread = 2, recoil = 2, concealment = -1} --Gecko M2 Pinnacle barrel
self.parts.wpn_fps_pis_maxim9_b_marksman.forbids = {"wpn_fps_upg_pis_ns_flash", "wpn_fps_upg_ns_pis_meatgrinder", "wpn_fps_upg_ns_pis_ipsccomp"}

self.parts.wpn_fps_pis_maxim9_b_long.stats = {damage = -10, spread = 4, concealment = -3} --Gecko M2 Upshot barrel

self.parts.wpn_fps_upg_ns_shot_shark.stats = {damage = 2, spread = -2, recoil = 4, concealment = -1, suppression = -2} --Shark Teeth Nozzle

self.parts.wpn_fps_upg_ns_shot_thick.stats = {damage = -8, spread = -1, recoil = 2, concealment = -2, suppression = 20, alert_size = 20} --The Silent Killer Suppressor

self.parts.wpn_fps_upg_shot_ns_king.stats = {damage = 2, spread = 4, recoil = -2, concealment = -1, suppression = -2} --King's Crown Compensator

self.parts.wpn_fps_upg_ns_sho_salvo_large.stats = {damage = -2, spread = 1, recoil = 2, concealment = -3, suppression = 20, alert_size = 20} --Shh!

self.parts.wpn_fps_upg_ns_duck.stats = {damage = 3, spread = -1, recoil = 2, concealment = -1, spread_multi = {2.25, 0.5}} --Donald's Horizontal Leveller

end )